Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.txoj.lockstore
Class LockStore

    java.lang.Object
      com.arjuna.ats.txoj.lockstore.LockStore

public class LockStore
extends java.lang.Object

The lock store interface is the application's route to using a specific lock store implementation. The interface dynamically binds to an implementation of the right type.

Since:
  JTS 1.0.
Version:
  $Id: LockStore.java 2342 2006-03-30 13:06:17Z $
Author:
  Mark Little (mark@arjuna.com)

Constructor Summary
`LockStore(ClassName typeName, java.lang.String param)`
`LockStore(java.lang.Object[] param)`
`LockStore(java.lang.String param)`

Method Summary
`ClassName` | `className()`
`void` | `finalize()`
`InputObjectState` | `read_state(Uid u, java.lang.String tName)`
`boolean` | `remove_state(Uid u, java.lang.String tname)`
`boolean` | `write_committed(Uid u, java.lang.String tName, OutputObjectState state)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LockStore

    public LockStore(java.lang.String param)

### LockStore

    public LockStore(ClassName typeName,
                     java.lang.String param)

### LockStore

    public LockStore(java.lang.Object[] param)

Method Detail

### finalize

    public void finalize()

### read_state

    public InputObjectState read_state(Uid u,
                                       java.lang.String tName)
                                throws LockStoreException

  Throws:
    `LockStoreException`

### remove_state

    public boolean remove_state(Uid u,
                                java.lang.String tname)

### write_committed

    public boolean write_committed(Uid u,
                                   java.lang.String tName,
                                   OutputObjectState state)

### className

    public ClassName className()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD